Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AbstractAFPImageHandlerRawStream

    java.lang.Object
      org.apache.fop.render.afp.AFPImageHandler
          org.apache.fop.render.afp.AbstractAFPImageHandlerRawStream

All Implemented Interfaces:
  ImageHandler, ImageHandlerBase

Direct Known Subclasses:
  AFPImageHandlerRawCCITTFax, AFPImageHandlerRawStream

    public abstract class AbstractAFPImageHandlerRawStream

extends AFPImageHandler
implements ImageHandler

A base abstract AFP raw stream image handler

Constructor Summary
`AbstractAFPImageHandlerRawStream()`

Method Summary
`void` | `handleImage(RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Rectangle pos)` Handles the given `Image` instance painting it at the indicated position in the output format being generated.
`protected void` | `setAdditionalParameters(AFPDataObjectInfo imageObjectInfo, org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)` Sets additional parameters on the image object info being built.

Methods inherited from class org.apache.fop.render.afp.AFPImageHandler
`createDataObjectInfo, createObjectAreaInfo, createResourceInformation, generateDataObjectInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.fop.render.ImageHandler
`isCompatible`

Methods inherited from interface org.apache.fop.render.ImageHandlerBase
`getPriority, getSupportedImageClass, getSupportedImageFlavors`

Constructor Detail

### AbstractAFPImageHandlerRawStream

    public AbstractAFPImageHandlerRawStream()

Method Detail

### setAdditionalParameters

    protected void setAdditionalParameters(AFPDataObjectInfo imageObjectInfo,
                                           org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)

  Sets additional parameters on the image object info being built. By default, this method does nothing but it can be overridden to provide additional functionality.

  Parameters:
    `imageObjectInfo` - the image object info being built
    `image` - the image being processed

### handleImage

    public void handleImage(RenderingContext context,
                            org.apache.xmlgraphics.image.loader.Image image,
                            java.awt.Rectangle pos)
                     throws java.io.IOException

  Handles the given `Image` instance painting it at the indicated position in the output format being generated.

  Specified by:
    `handleImage` in interface `ImageHandler`
  Parameters:
    `context` - the rendering context
    `image` - the image to be handled
    `pos` - the position and scaling of the image relative to the origin point of the current viewport (in millipoints)
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.